Subject: Re: [Tsvwg] With/Without Heartbeat - outstanding data chunks

From: Fred Baker <[email-masked]>
Date: Tue, 5 Jul 2005 17:24:25 -0700

What I think I hear you suggesting is that if I have sent a data 
segment and gotten no acknowledgment, I should do something to elicit 
an acknowledgment.

Why would that not be an appropriately timed retransmission of the data 
sent-and-perhaps-lost?

On May 18, 2005, at 5:07 AM, Subhashini wrote:

>  Hi Wolfgang,
>
>    My case is little different. As you said, Heartbeat is sent only to 
> the Idle destination address.
>    If that destination does not respond with SACK for the data chunks 
> received for the time greater than Heartbeat interval, HB will be sent 
> to it and in case, if HB ACK is received for that destination, but no 
> SACK for the old data chunks received, what do we conclude was my 
> question. But, as per Michael in the previous response, this behaviour 
> depends on the destination side SCTP implementation. Also, as he said, 
> we have to depend on the application level Heartbeat and ACK.
>
>  thanks,
>  Subhashini ...
>
>  Schruefer Wolfgang wrote:
>> Hi Subhashini,
>>
>> even if heartbeat is enabled, by default a heartbeat is sent only to 
>> *IDLE* addresses, RFC2960 says:
>>
>>    " By default, an SCTP endpoint shall monitor the reachability of 
>> the
>>    idle destination transport address(es) of its peer by sending a
>>    HEARTBEAT chunk periodically to the destination transport
>>    address(es).
>>    A destination transport address is considered "idle" if no new 
>> chunk
>>    ... has been sent to it ..."
>>
>> In this case the association would close any time if DATA chunks are 
>> not acknowledged.
>>
>> Best regards,
>> Wolfgang
>>
>>
>>> -----Original Message-----
>>> From: [email-masked] [mailto:[email-masked]]
>>> On Behalf Of Subhashini
>>> Sent: Tuesday, May 17, 2005 7:52 AM
>>> To: [email-masked]
>>> Subject: [Tsvwg] With/Without Heartbeat - outstanding data chunks
>>>
>>> Hi All,
>>>
>>> When Heartbeat is enabled:
>>> ==================
>>>   Whenever any data chunk is transmitted, T3-rtx timer is
>>> started, if not running already. When we fail to get SACK for
>>> the data chunk, it is marked for retransmission and error
>>> counter is incremented. Also, we reset this error count,
>>> whenever any SACK or Heartbeat Ack is received.
>>> If no SACK or Heartbeat Ack, once the error counter reaches
>>> the maximum value, communication lost notification is given
>>> to the peer and association is closed. In this case, suppose
>>> Heartbeat/Heartbeat Acks are exchanged without fail and if
>>> data chunks are not unacknowledged, upper layer will not be
>>> notified and there will not be any change in the association
>>> state. What is the other possibility to find out the
>>> unacknowledgement of data chunks and closing the association?
>>> Do we need to assume that, if the peer is able to acknowldge
>>> the heartbeat, it should be acknowledging the data chunk also?
>>>
>>> When Heartbeat is not enabled:
>>> =====================
>>> In this case, since only the SACK is the only way of
>>> acknowledging the data chunk, the error counter will reach
>>> the maximum value and close the association.
>>>
>>> Please clarify.
>>>
>>> thanks,
>>> Subhashini ...
>>>
>>> _______________________________________________
>>> tsvwg mailing list
>>> [email-masked]
>>> https://www1.ietf.org/mailman/listinfo/tsvwg
>>>
>>>
>>
>>
>
> _______________________________________________
> tsvwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/tsvwg

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg